gnutls_certificate_client_get_request_status(3)

NAME
gnutls_certificate_client_get_request_status - This function returns the certificate request status

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_client_get_request_status(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This function will return 0 if the peer (server) did not request client authentication or 1 otherwise. Returns a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.